////////////////////////////////////////////////////////////////////////
/*
     FILE: InstrumentData.java
  PURPOSE: Interface for data from instruments.
   AUTHOR: Peter Hollemans
     DATE: 2007/02/20
  CHANGES: n/a

  Copyright (C) 2007, Terrenus Earth Sciences

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/
////////////////////////////////////////////////////////////////////////

// Package
// -------
package terrenus.instrument;

/**
 * The <code>InstrumentData</code> class is a mainly a marker
 * interface for scientific instruments data from a spacecraft.
 *
 * @see terrenus.telemetry.TelemetryDecoder#getData
 */
public interface InstrumentData {

  /** Gets the instrument on which the data was recorded. */
  public Instrument getInstrument();

} // InstrumentData interface

////////////////////////////////////////////////////////////////////////
